@echo off
REM fontconv.bat  (c) 2005 Heber Ltd
REM 
REM 81-17744 Calypso Font Pre-processing Utility
REM 
REM Converts TrueType Font Files to Heber source files
REM 
REM 
REM Revision History:
REM 
REM 	Iss 2	10 November 2005 12:12
REM 

echo ****************************************************************
echo * fontconv.bat   (c) 2005 Heber Ltd                            *
echo * --------------------------------                             *
echo *                                                              *
echo * Converts TrueType Font Files to Heber source files           *
echo *                                                              *
echo * Usage:                                                       *
echo *          fontconv {filename} {size} {unicode code page}      *
echo *                                                              *
echo * where                                                        *
echo *          {filename} is TrueType filename without extension   *
echo *          {size} is point size of font required               *
echo *          {unicode page} examples                             *
echo *                     0    - unicode range 0x0000 - 0x007f     *
echo *                    80    - unicode range 0x0080 - 0x00ff     *
echo *                   400    - unicode range 0x0400 - 0x047f     *
echo *                                                              *
echo * Example:                                                     *
echo *          fontconv tempo 32 0                                 *
echo *                                                              *
echo * This converts                                                *
echo *          tempo.ttf         (True Type)                       *
echo * to                                                           *
echo *          tempo32_0.c       (Heber Source)                    *
echo ****************************************************************
pause
echo * 
echo * Stage 1: Converting TrueType Files to BDF files...
echo * --------------------------------------------------
echo * 

mkdir \tmp
ttf2bdf %1.ttf -p %2 -o %1%2.bdf

echo * 
echo * 
echo * Stage 2: Converting BDF Files to Calypso source files...
echo * -------------------------------------------------------
echo * 
echo *

font_conv %1%2.bdf %3
del %1%2.bdf
echo on
