@echo off
echo ****************************************************************
echo * imag2gnu.bat  (c) 2005 Heber Ltd                             *
echo *                                                              *
echo * 81-17348: Calypso Image Pre-processing Utility (old driver)  *
echo *                                                              *
echo * Convert all images in sub-directory \source into assembly    *
echo * 256 colour source files                                      *
echo *                                                              *
echo * A better result will be achieved if source images are in     *
echo * 24-bit colour in any standard format.                        *
echo *                                                              *
echo * Input files:                                                 *
echo *          *.*          in subdirectory "source" (image files) * 
echo *                                                              *
echo * Output files:                                                *
echo *          *.s          in this directory (images for EPROM)   *
echo *          palette.s    in this directory (optimim palette)    *
echo *          *.raw        in this directory (images for CF)      *
echo *                                                              *
echo * Notes:                                                       *
echo *                                                              *
echo * 1. Input files can be TIF, GIF, BMP or other common format   *
echo * (do not mix format).                                         *
echo * 2. ALL image files in subdirectory are processed             *
echo * 3. Image file filenames MUST be lower case.                  *
echo *                                                              *
echo * Revision:                                                    *
echo * Iss 3    07 November 2005 17:00                              *
echo ****************************************************************
pause
echo on

REM: Use image alchemy to generate an optimised palette

alchemy -- source\*.* -L all.pal -c256 16 

REM: edits palette file generated by alchemy
REM: moves colour 0 to first entry in file

fix_pal

REM: delete palette generated by image alchemy

del all.pal
rename all.out all.pal

REM: The following command will use image alchemy to convert all images
REM: from source directory into RAW data into root directory

alchemy source\*.* -r *.raw -d0 -fall.pal

REM: Generate .raw and .s files from image alchemy format

for %%0 in (*.raw) do raw2gnu %%0

REM:converts palette file "all.pal" into GNU format assembly file.

make_pal



