@echo off
echo ****************************************************************
echo * imag2gnu16.bat  (c) 2005 Heber Ltd                           *
echo *                                                              *
echo * 81-17348: Calypso Image Pre-processing Utility (old driver)  *
echo *                                                              *
echo * Convert all images in sub-directory \source into assembly    *
echo * 16-bit colour source files                                   *
echo *                                                              *
echo * Input files:                                                 *
echo *          *.*    in subdirectory "source" (24 bit image files)* 
echo *                                                              *
echo * Output files:                                                *
echo *          *.s    in this directory (images for EPROM)         *
echo *          *.bin  in this directory (images for CF)            *
echo *                                                              *
echo * Notes:                                                       *
echo *                                                              *
echo * 1. Input files can be TIF, GIF, BMP or other common format   *
echo * (do not mix format).                                         *
echo * 2. ALL image files in subdirectory are processed             *
echo * 3. Image file filenames MUST be lower case.                  *
echo *                                                              *
echo * Usage: The command can be used with or without parameters    *
echo *  imag2gnu16 parameter                                        *
echo *                                                              *
echo *  parameters:                                                 *
echo *  big     - big endian byte ordering (Pluto 6)                *
echo *                                                              *
echo *  default:                                                    *
echo *  little endian, C format                                     *
echo *                                                              *
echo * Revision:                                                    *
echo * Iss 3    07 November 2005 17:00                              *
echo ****************************************************************
pause
echo on

REM: The following command will use image alchemy to convert all images
REM: from source directory into RAW data into root directory

alchemy source\*.* -r

REM: Then, all images generated will go through raw2hi program in order
REM: To generate a 16 bit colour .bin file

for %%0 in (*.raw) do raw2hi %%0 %1

REM: Delete all files create by image alchemy

del *.raw