@echo off
echo ****************************************************************
echo * imag2gnustd.bat  (c) 2005 Heber Ltd                          *
echo *                                                              *
echo * 81-17348: Calypso Image Pre-processing Utility (old driver)  *
echo *                                                              *
echo * Convert all images in sub-directory \source into assembly    *
echo * 256 colour files according to a standard palette             *
echo *                                                              *
echo * A better result will be achieved if source images are in     *
echo * 24-bit colour in any standard format.                        *
echo *                                                              *
echo * Input files:                                                 *
echo *          *.*         in subdirectory "source" (image files)  *
echo *                                                              *
echo * Output files:                                                *
echo *          *.s         in this directory (images for EPROM)    *
echo *          palette.s   in this directory (vga standard palette)*
echo *          *.raw       in this directory (images for CF)       *
echo *                                                              *
echo * Notes:                                                       *
echo *                                                              *
echo * 1. Input files can be TIF, GIF, BMP or other common format   *
echo * (do not mix format).                                         *
echo * 2. ALL image files in subdirectory are processed             *
echo * 3. Image filenames MUST be lower case.                       *
echo * 4. Uses palette file "standard.pal"                          *
echo *                                                              *
echo * Revision:                                                    *
echo * Iss 3    07 November 2005 17:00                              *
echo ****************************************************************
pause
echo on

REM: The following command will use image alchemy to convert all images
REM: from source directory into RAW data into root directory
REM: Alchemy will use the standard palette to adjust the colours of
REM: the RAW images to a VGA standard

alchemy source\*.* -r *.raw -d0 -fstandard.pal -c256 16

REM: Generate .raw and .s files from image alchemy format

for %%0 in (*.raw) do raw2gnu %%0

REM: generate an asembly palette

make_pal standard.pal
