@echo off
echo ****************************************************************
echo * imagconv16.bat (c) 2005 Heber Ltd                            *
echo *                                                              *
echo * 81-17393 Calypso Image Pre-processing Utility                *
echo * (advanced driver)                                            *
echo *                                                              *
echo * Convert all images in sub-directory \source into             *
echo * Calypso 16-bit colour format files                           *
echo *                                                              *
echo * Images must be 24-bit colour in any standard format.         *
echo *                                                              *
echo * Input files:                                                 *
echo *          *.*    in subdirectory "source" (24 bit image files)* 
echo *                                                              *
echo * Output files:                                                *
echo *          *.c    in this directory (images for EPROM)         *
echo *          *.bin  in this directory (images for CF)            *
echo *                                                              *
echo * Usage: The command can be used with or without parameters    *
echo *  imagconv16 parameters                                       *
echo *                                                              *
echo *  parameters:                                                 *
echo *  big     - big endian byte ordering (Pluto 6)                *
echo *  asm     - assembly format output file                       *
echo *                                                              *
echo *  default:                                                    *
echo *  little endian, C format                                     *
echo *                                                              *
echo *  Revision:                                                   *
echo *  Iss 3    07 November 2005 17:00                             *
echo ****************************************************************
pause
echo on

REM: The following command will use image alchemy to convert all images
REM: from source directory into RAW data into root directory

alchemy source\*.* -r -o

REM: 	The following command line with no extra parameter added to
REM:	the function call will generate following characteristics 
REM:		- little endian	(Pluto 5-> little endian, Pluto 6-> big endian)
REM:		- c format output
REM:		- alpha blending bit set
REM:		- palette NOT included

for %%0 in (*.raw) do imagconv %%0 alpha %1 %2

REM: finally the RAW image files are deleted

del *.raw