@echo off
echo ****************************************************************
echo * imagconv8.bat (c) 2005 Heber Ltd                             *
echo *                                                              *
echo * 81-17393 Calypso Image Pre-processing Utility (old driver)   *
echo *                                                              *
echo * Convert all images in sub-directory \source into             *
echo * Calypso 8-bit colour format .c files                         *
echo *                                                              *
echo * Input files:                                                 *
echo *          *.*    in subdirectory "source" (24 bit image files)* 
echo *                                                              *
echo * Output files:                                                *
echo *          *.c    in this directory (images for EPROM)         *
echo *          *.bin  in this directory (images for CF)            *
echo *          palette.c in this directory (optimum palette file)  *
echo *                                                              *
echo * Usage:                                                       *
echo *                                                              *
echo *  imagconv8 parameters                                        *
echo *                                                              *
echo *  parameters:                                                 *
echo *  big     - big endian byte ordering (Pluto 6)                *
echo *  asm     - assembly format output file                       *
echo *                                                              *
echo *  default:                                                    *
echo *  little endian, C format                                     *
echo *                                                              *
echo *                                                              *
echo * Revision:                                                    *
echo * Iss 3    07 November 2005 17:00                              *
echo ****************************************************************
pause
echo on

REM: Use image alchemy to generate an optimised palette

alchemy -- source\*.* -L optimum.pal -c256 16 

REM: The following command will use image alchemy to convert all 
REM: images from source directory into RAW data into root directory
REM: using otimum palette

alchemy source\*.* -r -o *.raw -d2 -foptimum.pal

REM: 	The following command line with no extra parameter added to
REM:	the function call will generate following characteristics 
REM:		- little endian	
REM:		- c format output
REM:		- alpha blending bit set
REM:		- palette NOT included

for %%0 in (*.raw) do imagconv %%0 alpha pal %1 %2

REM: generate a Calypso palette from optimum palette with alpha
REM: blending characteristics

palconv optimum.pal palette.c alpha

REM: delete unwanted files
del *.bin
