@echo off
echo ****************************************************************
echo * imagconv8std.bat (c) 2005 Heber Ltd                          *
echo *                                                              *
echo * 81-17393 Calypso Image Pre-processing Utility                *
echo *                                                              *
echo * Convert all images in sub-directory \source into             *
echo * Calypso 8-bit colour .c source files                         *
echo *                                                              *
echo * Uses standard VGA palette file: standard.pal                 *
echo *                                                              *
echo * Input files:                                                 *
echo *          *.*    in subdirectory "source" (24 bit image files)* 
echo *                                                              *
echo * Output files:                                                *
echo *          *.c    in this directory (images for EPROM)         *
echo *          *.bin  in this directory (images for CF)            *
echo *                                                              *
echo * Usage:                                                       *
echo *                                                              *
echo *  imagconv8std parameters                                     *
echo *                                                              *
echo *  parameters:                                                 *
echo *  big     - big endian byte ordering (Pluto 6)                *
echo *  asm     - assembly format output file                       *
echo *                                                              *
echo *  default:                                                    *
echo *  little endian, C format                                     *
echo *                                                              *
echo * Revision :                                                   *
echo * Iss 3    07 November 2005 17:00                              *
echo ****************************************************************
pause
echo on

REM: The following command will use image alchemy to convert all images
REM: from source directory into RAW data into root directory
REM: Alchemy will use the standard palette to adjust the colours of
REM: the RAW images to a VGA standard

alchemy source\*.* -r -o *.raw -d0 -fstandard.pal -c256 16

REM: Generate .raw and .c files from image alchemy format

for %%0 in (*.raw) do imagconv %%0 alpha pal %1 %2

REM: generate a C standard palette for calypso driver

palconv standard.pal stdpalette.c alpha

REM: delete unwanted files
del *.bin

