@echo off
echo ****************************************************************
echo * ttf2gnu.bat   (c) 2001,2004 Heber Ltd                        *
echo * --------------------------------------                       *
echo *                                                              *
echo * Converts TrueType Font Files to Heber source files           *
echo *                                                              *
echo * Usage:                                                       *
echo *          ttf2gnu {filename} {size} {encoding file}           *
echo *                                                              *
echo * where                                                        *
echo *       {filename} is TrueType filename without extension      *
echo *       {size} is point size of font required                  *
echo *       {encoding file} is Code Page encoding file (optional)  *
echo *                                                              *
echo * Example (ASCII):                                             * 
echo *                                                              *
echo *          ttf2gnu tempo 32                                    *
echo *                                                              *
echo * - converts "tempo.ttf" to "tempo32.s"                        *
echo *                                                              *
echo * Example (Code Page 1250 - Central European):                 *
echo *                                                              *
echo *          ttf2gnu tempo 32 ce1250.txt                         *
echo *                                                              *
echo * - converts "tempo.ttf" to "tempo32.s"                        *
echo **************************************************************** 
pause

echo * 
echo * Stage 1: Converting TrueType Files to BDF files...
echo * --------------------------------------------------
echo * 

ttf2bdf %1.ttf -p %2 -o %1%2.bdf

echo * 
echo * 
echo * Stage 2: Converting BDF Files to GNU Assembler files...
echo * -------------------------------------------------------
echo * 
echo *

bdf2gnu %1%2.bdf %3
del %1%2.bdf
echo on
